<?php

//-----------------------------------------------------------------------//
// その他パラメータ情報
//-----------------------------------------------------------------------//
define('CONTROL_ACTION', 'action');
define('CONTROL_NAME_LOGIN', 'login');
define('CONTROL_SETTING_PROFILE', 'settting_profile');
define('CONTROL_SETTING_PROFILE_IMG', 'settting_profile_img');
define('CONTROL_SETTING_KYC', 'settting_kyc');
define('CONTROL_SETTING_CHANGE_PASSWORD', 'settting_change_passwrord');
define('CONTROL_SETTING_CHANGE_MAIL', 'settting_change_mail');
define('CONTROL_VER_REGIST', 'ver_regist');
define('CONTROL_RE_SEND', 're_send');
// debug模式
define('IS_DEBUG',FALSE);
//-----------------------------------------------------------------------//
// タイプ名
//-----------------------------------------------------------------------//
define('TYPE_VERTIFY', 'Vertify');
define('TYPE_UPDATE_ALL', 'updateAll');
define('TYPE_SAVE_DETAIL', 'detailSave');
define('TYPE_SAVE_IMAGE', 'SaveImage');
define('TYPE_DOWNLOAD_IMAGE', 'DownloadImage');
define('TYPE_DELETE_IMAGE', 'DeleteImage');
define('TYPE_INPUT', 'input');
define('TYPE_CONFIRM', 'confirm');
define('TYPE_COMPLETE', 'complete');
define('TYPE_IMPORT', 'import');
define('TYPE_IMPORT_CONFIRM', 'import_confirm');
define('TYPE_IMPORT_COMPLETE', 'import_complete');
define('TYPE_EXPORT', 'export');
define('TYPE_EXPORT_ERROR', 'export_error');
define('TYPE_EXPORT_COMMON', 'export_common');
define('TYPE_DOWNLOAD', 'download');
define('TYPE_CREATE', 'create');
define('TYPE_REGITS', 'regist');
define('TYPE_UPDATE', 'update');
define('TYPE_EDIT', 'edit');
define('TYPE_DELETE', 'delete');
define('TYPE_SAVE', 'save');
define('TYPE_STATUS', 'status');
define('TYPE_DETAIL', 'detail');
define('TYPE_SEARCH', 'search');
define('TYPE_BACK', 'back');
define('TYPE_LIST', 'list');
define('TYPE_APPLY', 'apply');
define('TYPE_ROLL_BACK', 'roll_back');
define('TYPE_COMMIT', 'commit');
define('TYPE_SEND', 'send');
define('TYPE_PRINT', 'print');
define('TYPE_UNLOCK', 'unlock');
define('TYPE_REMOVE', 'remove');
define('TYPE_CARD_INPUT', 'card_input');
define('TYPE_CARD_CONFIRM', 'card_confirm');
define('TYPE_CARD_COMPLETE', 'card_complete');
define('TYPE_VERI_ERROR', 'veri_error');
define('TYPE_FAIL', 'fail');
define('TYPE_UPLOAD', 'upload');
define('TYPE_CARD', 'card');
define('TYPE_REMOVE_CARD', 'remove_card');
define('TYPE_COMMISSION', 'commission');
define('TYPE_ERROR', 'error');
define('TYPE_SUCCESS', 'success');
define('TYPE_PENDING', 'pending');
define('TYPE_ADMIN_KYC_UPLOAD', 'adminKycUpload');
define('TYPE_ADMIN_KYC_UPLOAD_COMPLETE', 'adminKycUploadComplete');
define('TYPE_ADMIN_PAGING', 'paging');
define('TYPE_LOCAL_BANK_COUNTRY', 'CN');
define('TYPE_LOCAL_INPUT', 'local_input');
define('TYPE_LOCAL_BACK', 'local_back');
define('TYPE_LOCAL_CONFIRM', 'localBankConfirm');
define('TYPE_LOCAL_COPLETE', 'local_complete');
define('TYPE_LOCAL_BACK_SUCCESS', 'localReturnSuccess');
define('TYPE_LOCAL_BACK_FAILED', 'localReturnFalied');
define('TYPE_LOCAL_BACK_IDENTIFICATION', 'Local Bank Transfer (China)');
define('TYPE_SECURITY_SECTTING','SecuritySettings');
define('TYPE_TRANSFER_SETTING','TransferSettings');
define('TYPE_TRANSFER_FLAG_SAVE','transferFlgSave');
define('TYPE_2FA_DISABLE_ONE','disable2faone');
define('TYPE_2FA_DISABLE_TWE','disable2fatwe');
define('TYPE_LOCAL_BACK_LOCKED', 'local_back_locked');
define('TYPE_LOCKED', 'locked');
define('TYPE_SAVE_RISK', 'save_risk');
define('TYPE_INPUT_ACCESS', 'input_access');
define('TYPE_SAVE_ACCESS', 'save_access');
define('TYPE_REQUEST_SESSION_EXPIRED', 'request_session_expired');
define('TYPE_SETTLEMENT_EXPRESS_API', 'settle_express_api');
define('TYPE_SETTLEMENT_EXPRESS_CHECK', 'settle_express_check');
define('TYPE_SETTLEMENT_EXPRESS_SUBMIT', 'settle_express_submit');
define('TYPE_SETTLEMENT_EXPRESS_FORM', 'settle_express_form');
define('TYPE_LINK_ACCOUNT', 'link_account');//------Mikko 2019------//
define('TYPE_REMOVE_LINK', 'remove_link');//------Mikko 2019------//
define('TYPE_NEW_DEV_CREDENTIAL', 'new_dev_credential');
define('TYPE_NEW_DEV_CREDENTIAL_COMPLETE', 'credential_complete');
define('TYPE_NEW_DEV_CREDENTIAL_CONFIRM', 'credential_confirm');
define('TYPE_DEV_CREDENTIAL_EDIT', 'credential_edit');
define('TYPE_DEV_CREDENTIAL_UPDATE', 'credential_update');
define('TYPE_DEV_CREDENTIAL_MODIFY_PASSCODE', 'credential_mod_passcode');
define('TYPE_DEV_CREDENTIAL_PASSCODE_UPDATE', 'credential_passcode_update');
define('TYPE_DEV_CREDENTIAL_DELETE', 'credential_delete');

//-----------------------------------------------------------------------//
// その他パラメータ情報
//-----------------------------------------------------------------------//
define('PARAM_DATA_KEY', 'data_key');					// キー情報
define('PARAM_DATA_VALUE', 'data_value');				// 値情報
define('PARAM_DATA_NAME', 'data_name');					// 名前情報
define('PARAM_REMOTE_ADDR', 'REMOTE_ADDR');				// 接続IPアドレス
define('PARAM_HTTP_USER_AGENT', 'HTTP_USER_AGENT');		// ユーザエージェント
define('PARAM_HTTP_REFERER', 'HTTP_REFERER');			// リファラ

//-----------------------------------------------------------------------//
// シーケンスキー情報
//-----------------------------------------------------------------------//
define('SQ_KEY_FEES', '11');						// シーケンスキー情報（手数料）
define('SQ_KEY_TRANSACTION', '12');					// シーケンスキー情報（取引番号）
define('CARD_MESSAGE_ID', '13');					// シーケンスキー情報（カードAPIメッセージID）
define('API_SIGNATURE', '14');						// シーケンスキー情報（APIシグネチャ）
define('SQ_EXCHANGE_FEE', '15');					// シーケンスキー情報（為替手数料）

//-----------------------------------------------------------------------//
// カード関連
//-----------------------------------------------------------------------//
define('VAR_CARD_API_URL', NO_STRING);
define('VAR_CARD_API_USER_NAME', NO_STRING);
define('VAR_CARD_API_PASSWORD', NO_STRING);

//-----------------------------------------------------------------------//
// White Label関連
//-----------------------------------------------------------------------//
define('WHITE_LABEL_ID', '0');
define('DEFAULT_AGENT_CODE', '');
define('WHITE_LABEL_DOMAIN', 'd-wallet.biz');
define('WHITE_LABEL_SYSTEM_DOMAIN_1', 'manage-dgw.' . WHITE_LABEL_DOMAIN);

//-----------------------------------------------------------------------//
// GPAYSAFE関連
//-----------------------------------------------------------------------//
// 本番用
define('GPS_API_KEY', NO_STRING);
define('GPS_SECRET_KEY', NO_STRING);
define('GPS_PAYMENT_URL', NO_STRING);
define('GPS_PULL_URL', NO_STRING);

// テスト用
// define('GPS_API_KEY', NO_STRING);
// define('GPS_SECRET_KEY', NO_STRING);
// define('GPS_PAYMENT_URL', NO_STRING);
// define('GPS_PULL_URL', NO_STRING);

//-----------------------------------------------------------------------//
// Platinum Card関連
//-----------------------------------------------------------------------//
// テスト用
// define('PLATINUM_CARD_ROOT_URL', NO_STRING);
// define('PLATINUM_CARD_DEVELOPER_ID', NO_STRING);
// define('PLATINUM_CARD_DEVELOPER_PASSWORD', NO_STRING);

// LIVE用
define('PLATINUM_CARD_ROOT_URL', NO_STRING);
// define('PLATINUM_CARD_ROOT_URL', NO_STRING);
// define('PLATINUM_CARD_ROOT_URL', NO_STRING);

define('PLATINUM_CARD_DEVELOPER_ID', NO_STRING);

define('PLATINUM_CARD_DEVELOPER_PASSWORD', NO_STRING);
define('PLATINUM_CARD_AUTH_URL', PLATINUM_CARD_ROOT_URL . 'authenticator');


//-----------------------------------------------------------------------//
// Cash Flow 関連
// define('CASHFLOW_RISK_FEE_GBP','0.43');
// define('CASHFLOW_RISK_FEE_JPY','60');
// define('CASHFLOW_RISK_FEE_USD','0.54');
// define('CASHFLOW_RISK_FEE_EUR','0.50');
define('CASHFLOW_RISK_FEE_GBP','0.61');
define('CASHFLOW_RISK_FEE_USD','0.84');
define('CASHFLOW_RISK_FEE_EUR','0.70');
define('TYPE_NOTICE_KYC', 'notice_kyc');
// // Test 链接
// //-----------------------------------------------------------------------//
// define('CASHFLOW_ENTITY_ID', NO_STRING);
// define('CASHFLOW_USER_ID', NO_STRING);
// define('CASHFLOW_PASSWORD', NO_STRING);
// define('CASHFLOW_TRANS_TYPE', NO_STRING);
// define('CASHFLOW_TRANS_MODE', NO_STRING);
// define('CASHFLOW_TOKEN_URL', NO_STRING);
// define('CASHFLOW_WIDGETS_URL', NO_STRING);
// define('CASHFLOW_RESULTURL', NO_STRING);
// define('CASHFLOW_ENCRYPT_KEY', NO_STRING);
// Live 链接
//-----------------------------------------------------------------------//
define('CASHFLOW_ENTITY_ID', NO_STRING);
define('CASHFLOW_USER_ID', NO_STRING);
define('CASHFLOW_PASSWORD', NO_STRING);
define('CASHFLOW_TRANS_TYPE', NO_STRING);
define('CASHFLOW_TRANS_MODE', NO_STRING);
define('CASHFLOW_TOKEN_URL', NO_STRING);
define('CASHFLOW_WIDGETS_URL', NO_STRING);
define('CASHFLOW_RESULTURL', NO_STRING);
define('CASHFLOW_ENCRYPT_KEY', NO_STRING);

/*
 * Cash Flow 支付状态，控制页面显示
 */
define('CASHFLOW_DEPOSIT_INPUT','cashflow_input');
define('CASHFLOW_DEPOSIT_CONFIRM','cashflow_confirm');
define('CASHFLOW_DEPOSIT_SUCCESS','cashflow_success');
define('CASHFLOW_DEPOSIT_FAILURE','cashflow_failure');
define('CASHFLOW_DEPOSIT_SEND','cashflow_send');

//-----------------------------------------------------------------------//
// Cash Flow 関連 end
//-----------------------------------------------------------------------//


//-----------------------------------------------------------------------//
// CUP 関連
//-----------------------------------------------------------------------//
define('CUP_FEE','1.80');
define('CUP_SYMBOL','CNY');
define('CUP_TRANSACTION_FEE','1.00');

/*
 * CUP 支付状态，控制页面显示
 */
define('TYPE_CUP', 'CUP');
define('TYPE_CUP_INPUT','cup_input');
define('TYPE_CUP_BACK', 'cup_back');
define('TYPE_CUP_CONFIRM','cup_confirm');
define('TYPE_CUP_PAYMENTFAILURE','cup_payfailure');
define('TYPE_CUP_PAYMENTSUCCESS','cup_paysuccess');
define('TYPE_CUP_NOTICE_KYC', 'cup_notice_kyc');
//-----------------------------------------------------------------------//
// CUP 関連 end
//-----------------------------------------------------------------------//

//SDPay Type constants start
define('TYPE_LBTC_INPUT', 'lbtc_input');
define('TYPE_LBTC_BACK', 'lbtc_back');
define('TYPE_LBTC_NOTICE_KYC', 'lbtc_notice_kyc');
define('TYPE_SEPA_INPUT', 'sepa_input');
define('TYPE_LBTC_SEND', 'lbtc_send');
define('TYPE_LBTC_PRINT', 'lbtc_print');
define('TYPE_LBTC_SUCCESS', 'lbtc_success');
define('TYPE_LBTC_FAIL', 'lbtc_fail');
define('TYPE_LBTC_CONFIRM', 'lbtc_confirm');
//SDPay Type constants end

//bitcoin deposit type constants start
define('TYPE_BIT_INPUT', 'bit_input');
define('TYPE_BIT_SEND', 'bit_send');
define('TYPE_BIT_SUCCESS', 'bit_sucess');
define('TYPE_BIT_COMPLETE', 'bit_complete');
define('TYPE_BIT_SEND_EMAIL', 'bit_send_email');
define('TYPE_BIT_NOTICE_KYC', 'bit_notice_kyc');
//bitcoin deposit type constants end

//入金显示配置
define('VAL_STR_CUP_DISPLAY_LANG','en,sc,tc');
define('VAL_STR_VSMS_DISPLAY_LANG','en,sc,tc,ja,id');
define('VAL_STR_ZANETAPAY_DISPLAY_LANG','en,sc,tc,ja,id');
define('VAL_STR_IBT_DISPLAY_LANG','en,ja,sc,tc,id');
define('VAL_STR_JRF_DISPLAY_LANG','en,ja');
define('VAL_STR_FLAT3_DISPLAY_LANG','en,ja');
define('VAL_STR_LBTC_DISPLAY_LANG','en,sc,tc');
define('VAL_STR_SEPA_DISPLAY_LANG','en,ja,sc,tc');
define('VAL_STR_BIT_DISPLAY_LANG','en,ja,sc,tc,id');
define('VAL_STR_H2P_DISPLAY_LANG','en,id');
define('VAL_STR_CPS_DISPLAY_LANG','en,sc,tc,ja,id');
define('VAL_STR_LBTF3_DISPLAY_LANG','en,ja');
define('VAL_STR_JPV_DISPLAY_LANG','en,ja');
define('VAL_STR_CCDEPOSIT_DISPLAY_LANG', 'en,ja,tc,sc');

//Float3 设置
define('VAL_STR_FLAT3_SITEID','619999171');
define('VAL_STR_FLAT3_GATEWAY','http://ovspay.jp/smb/?sid='.VAL_STR_FLAT3_SITEID.'&uid={uid}&mode=json');
define('VAL_STR_FLAT3_INPUT','flat3_input');
define('VAL_STR_FLAT3_CONFIRM','flat3_confirm');
define('VAL_STR_FLAT3_SUCCESS','flat3_success');
define('VAL_STR_FLAT3_PRINT','flatprint');
define('VAL_STR_FLAT3_MAILSEND','flatsend');
define('VAL_STR_FLAT3_KYC','flat3_kyc');
define('TYPE_NOTICE_NOT_UNLIMITED', 'notice_unlimit');

//SDpay test
define("VAL_SDPAY_URL","https://wd.sdsystem.hk/webapi/customer.asmx?WSDL");
define("VAL_SDPAY_KEY1","xBrtAdmjlac=");
define("VAL_SDPAY_KEY2","eBRjIWSGXkc=");
define("VAL_SDPAY_DES","des");
define("VAL_SDPAY_ECB","ecb");
define("VAL_SDPAY_USER","Iwallet_wd");
define("VAL_SDPAY_LOGIN","LoginAccount");
define("VAL_SDPAY_GETFUND","GetFundInfo");
//SDpay Deposit
//define("VAL_SDPAY_DEPOSIT_URL","https://deposit2.sdapayapi.com/9001/ApplyForABank.asmx?WSDL");
define("VAL_SDPAY_DEPOSIT_URL","https://dp.pr0pay.com/webapi/ToService.aspx");
define("VAL_STR_LBTC_CALLBACK_URL", "https://secure." . SITE_DOMAIN . DIRECTORY_SEPARATOR . "api" . DIRECTORY_SEPARATOR . "sdPayP2PDepositCallback");
define("VAL_SDPAY_DEPOSIT_KEY1","OzLBoDg2+UA=");
define("VAL_SDPAY_DEPOSIT_KEY2","69HXeQ+Z1oc=");
define("VAL_SDPAY_DEPOSIT_USER","Iwallet_p2p");
define("VAL_SDPAY_DEPOSIT_MERCHANT_CODE","IW9196");
define("VAL_SDPAY_DEPOSIT_KEY_MD5", "52ad85b919c44f4ab5fb218ef6aab40b");

//SDPay CUP credentials
define("VAL_SDPAY_DEPOSIT_CUP_MOBILE_URL", NO_STRING);
define("VAL_STR_CUP_CALLBACK_URL", "https://secure." . SITE_DOMAIN . DIRECTORY_SEPARATOR . "api" . DIRECTORY_SEPARATOR . "sdPayCUPDepositCallback");
define("VAL_SDPAY_DEPOSIT_CUP_KEY1", NO_STRING);
define("VAL_SDPAY_DEPOSIT_CUP_KEY2", NO_STRING);
define("VAL_SDPAY_DEPOSIT_CUP_USER", NO_STRING);
define("VAL_SDPAY_DEPOSIT_CUP_MERCHANT_CODE", NO_STRING);
define("VAL_SDPAY_DEPOSIT_CUP_KEY_MD5", NO_STRING);

//Cubits bitcoin deposit
define('BIT_KEY', 'TT00TRDkQV46pkTdGB8X7IWKerfHWtSS');
define('BIT_SECRET', 'yo5Suchol1KWY62mQQdcqlDtzayEKqg3');
define('CUBITS_KEY', '9f3fe566c290b5f77d085c5e8afc7b18');
define('CUBITS_SECRET', 'LRpKWZWC4pkyThUZQj1gucVYFFjkexiXX5kBtHYCEmQj1OboeiDRlvqG0nYfT3d8');
define('CUBITS_CALLBACKURL', 'https://'.SITE_DOMAIN.'/api/cubits_callback.php');
//define('CUBITS_TRANSACTION_NUM', 'P007');

//Withdrawal
define('TYPE_WITHDRAW_FLAT3_NOTICE_KYC', 'withdraw_flat3_notice_kyc');
define('TYPE_FLAT3_INPUT', 'flat3_input');
define('TYPE_FLAT3_CONFIRM', 'flat3_confirm');
define('TYPE_FLAT3_COMPLETE', 'flat3_complete');
define('TYPE_FLAT3_BACK', 'flat3_back');
define('TYPE_FLAT3_LOCKED', 'flat3_locked');

//withdrawal flat3 system
define('TYPE_FLAT3_PREVIEW','flat3_preview');
define('TYPE_EXPORT_FLAT3','export_flat3');

//clearsettle deposit type constants start
define('TYPE_CLEARSETTLE_INPUT', 'clearsettle_input');
define('TYPE_CLEARSETTLE_SEND', 'clearsettle_send');
define('TYPE_CLEARSETTLE_CONFIRM', 'clearsettle_confirm');
define('TYPE_CLEARSETTLE_SUCCESS', 'clearsettle_sucess');
define('TYPE_CLEARSETTLE_FAIL', 'clearsettle_fail');
define('TYPE_CLEARSETTLE_COMPLETE', 'clearsettle_complete');
define('TYPE_CLEARSETTLE_NOTICE_KYC', 'clearsettle_notice_kyc');
define('TYPE_CLEARSETTLE_BACK', 'clearsettle_back');
//clearsettle deposit type constants end

//other clearsettle constants
define('VAL_STR_CLEARSETTLE_DISPLAY_LANG','en,ja,sc,tc');
define('CLEARSETTLE_RISK_FEE_EUR','0.78');
define('CLEARSETTLE_DEPOSIT_API_URL','https://testapi.gpsfsoft.com/pw/v3/initializePayment'); //test
define('CLEARSETTLE_DEPOSIT_KEY','1f8978020548d6a2a831ad5ee15c042c'); //test
// define('CLEARSETTLE_DEPOSIT_API_URL','https://api.gpsfsoft.com/pw/v3/initializePayment'); //live
// define('CLEARSETTLE_DEPOSIT_KEY','5282dac8fdd9f95b4d402e03ada6a2e7'); //live
define('CLEARSETTLE_DEPOSIT_SECRET','d2f932a7');
define('CLEARSETTLE_SYMBOL','EUR');
define('CLEARSETTLE_TRANSACTION_FEE','0.05');

define('VAL_STR_LBTJ_LANG', 'en,ja');
define('TYPE_LBTJ_INPUT', 'lbtj_input');
define('TYPE_LBTJ_UPLOAD', 'lbtj_upload');
define('TYPE_LBTJ_COMPLETE', 'lbtj_complete');
define('TYPE_LBTJ_NOTICE_KYC', 'lbtj_notice_kyc');

define('TYPE_IBT_INPUT', 'ibt_input');
define('TYPE_IBT_CORP', 'ibt_corp');
define('TYPE_IBT_NOTICE_KYC', 'ibt_notice_kyc');

define('TYPE_WITHDRAW_NOTICE_KYC', 'withdraw_notice_kyc');

// Help2Pay
define('TYPE_H2P_INPUT', 'h2p_input');
define('TYPE_H2P_CONFIRM', 'h2p_confirm');
define('TYPE_H2P_SEND', 'h2p_send');
define('TYPE_H2P_STATUS', 'h2p_status');
define('TYPE_H2P_FAIL', 'h2p_fail');
define('TYPE_H2P_PENDING', 'h2p_pending');
define('TYPE_H2P_NOTICE_KYC', 'h2p_notice_kyc');
define('HELP2PAY_CALLBACKURL', SITE_PROTOCOL.'://'.SITE_DOMAIN_FULL.'/api/H2PDepositWebhook.php');

//Help2Pay withdrawal type constants start
define('TYPE_WITHDRAW_H2P_INPUT', 'withdraw_h2p_input');
define('TYPE_WITHDRAW_H2P_CONFIRM', 'withdraw_h2p_confirm');
define('TYPE_WITHDRAW_H2P_COMPLETE', 'withdraw_h2p_complete');
define('TYPE_WITHDRAW_H2P_SUCCESS', 'withdraw_h2p_success');
define('TYPE_WITHDRAW_H2P_FAIL', 'withdraw_h2p_fail');
define('TYPE_WITHDRAW_H2P_BACK', 'withdraw_h2p_back');
define('TYPE_WITHDRAW_H2P_LOCKED', 'withdraw_h2p_locked');
//Help2Pay withdrawal type constants end

define('H2P_CALLBACKURL', SITE_PROTOCOL.'://'.SITE_DOMAIN_FULL.'/api/H2PWithdrawalWebhook.php');

//admin user
define('TYPE_ADMIN_USER_SEARCH_ALL', 'admin_user_search_all');
define('TYPE_ADMIN_USER_LIST', 'admin_user_list');
define('TYPE_ADMIN_USER_INPUT', 'admin_user_input');
define('TYPE_ADMIN_USER_CREATE', 'admin_user_create');
define('TYPE_ADMIN_USER_IMPORT', 'admin_user_import');
define('TYPE_ADMIN_USER_IMPORT_INPUT', 'admin_user_import_input');
define('TYPE_ADMIN_USER_IMPORT_CONFIRM', 'admin_user_import_confirm');
define('TYPE_ADMIN_USER_IMPORT_BACK', 'admin_user_import_back');
define('TYPE_ADMIN_IMPORT_FAIL_LIST', 'admin_import_fail_list');
define('TYPE_ADMIN_USER_EDIT_INPUT', 'admin_user_edit_input');
define('TYPE_ADMIN_USER_EDIT_SAVE', 'admin_user_edit_save');
define('TYPE_ADMIN_USER_EDIT_BACK', 'admin_user_edit_back');
define('TYPE_ADMIN_USER_DETAILS', 'admin_user_details');
define('TYPE_ADMIN_USER_DELETE', 'admin_user_delete');
define('TYPE_EXPORT_ADMIN_FAIL_LIST', 'export_admin_fail_list');

define('VAL_STR_BIT_FEE_VAL','3.50');

//NEW SD API
define('SD_MERCHANT_CODE', 'M1000100');
define('SD_PUBLIC_KEY', '-----BEGIN PUBLIC KEY-----
MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCk7PNSbTtOyhdS23WuC+e4xN8d
qvjOLV2KVOcIPcrwB+tx6w/3H/DmdCONY6lZI6zzeQV17loOZ58P/KoMNEDtQKax
6dLPeaipNj3qOblTeHc6Gq6bcuEEwlKV4ye9UGWTwHJD0xbwo2xtHjRKaOluxOW2
+sB7Ck7vw1GYR0+MEwIDAQAB
-----END PUBLIC KEY-----');
define('SD_MERCHANT_PRIVATE_KEY', '-----BEGIN RSA PRIVATE KEY-----
MIICXQIBAAKBgQCn6plX8m7ZOzgQoVj7AjbpdrMDFClDA8QeT3I2xljlu6k3JC1h
174JbD0iIZJ5EfA5gL/mv8BCNBVN3FulSzFf/+qGVCgG0dGJcToQ11Wf06OdFhja
PIc9bcT689hkivwncgLsB+wPp9GTMxtm6JiRuQHq726d45TFWu3sU5tFhQIDAQAB
AoGAJ0puvTR+GZiQwttuPbXD8ZcTximmigbMkicW25hH3uGtc7ikYdugnQXVvDHM
20WGR35H6Q9/Rj53qbNhQmk40RPALRyMSxSEp6HV2QAF4pyrqUoHBWBbJPdOAzS6
0v4/k7+Ue0fsKbeN3tBx29CBAzzZLFqRABnEkiX9gb6qAnUCQQDSNmkdZThqOapL
/SsxMa9yR97MMgebZzs/DQddWxWoEoF+w7rSpdDIabvuENxJ2TUYd8e2HShsYMy0
FbVQiOFHAkEAzH26V0YXwrIpdU9pzLA5MIY61HSQO1E7t/nETGsd0m0lScRlCSUq
F/RdDIEuJZpsNGxnCeKVfQBSa/zlSvWo0wJBAIm5sGDcAnxGT7b9piDTBrn/MI/k
b2t31S9YH+0gUi4OAd3F60876HCGJeSyE0InF0xyndxJekSXn0aVuneLVt0CQQCg
q6TOz9b5dgzXDHd/iXLV6pGsvo1Y3gHDEu8mb/91h6aFqFcOcXH6cljt603747Jj
Gk13Wd3E4ozgJktus0hbAkASXywhSbY/pQ/UjKinpGWX3QEZSsVlh3TinCmGYXrI
ANt3NJyhZQMTppBTq0Wfu+emjAGOin0jW6EW8iSYCUsg
-----END RSA PRIVATE KEY-----');
define('SD_MERCHANT_PUBLIC_KEY', '-----BEGIN PUBLIC KEY-----
MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCn6plX8m7ZOzgQoVj7AjbpdrMD
FClDA8QeT3I2xljlu6k3JC1h174JbD0iIZJ5EfA5gL/mv8BCNBVN3FulSzFf/+qG
VCgG0dGJcToQ11Wf06OdFhjaPIc9bcT689hkivwncgLsB+wPp9GTMxtm6JiRuQHq
726d45TFWu3sU5tFhQIDAQAB
-----END PUBLIC KEY-----');

//SD WITHDRAW
define('SD_WITHDRAW_ASYNC_URL', 'https://secure.iwl.world/api/sdWithdrawAsync');
define('SD_WITHDRAW_API_URL', 'https://apimp.pr0pay.com/withdraw/merchant/'.SD_MERCHANT_CODE.'/transaction');

//SD DEPOSIT
define('SD_DEPOSIT_ASYNC_URL', 'https://secure.iwl.world/api/sdDepositAsync');
define('SD_DEPOSIT_API_URL', 'https://apimp.pr0pay.com/deposit/merchant/'.SD_MERCHANT_CODE.'/transaction');

//CPS Deposit
define('TYPE_CPS_INPUT', 'cps_input');
define('TYPE_CPS_SEND', 'cps_send');
define('TYPE_CPS_CONFIRM','cps_confirm');
define('TYPE_CPS_BACK', 'cps_back');
define('TYPE_CPS_SUCCESS', 'cps_success');
define('TYPE_CPS_FAIL', 'cps_fail');
define('TYPE_CPS_COMPLETE', 'cps_complete');
define('TYPE_CPS_SEND_EMAIL', 'cps_send_email');
define('TYPE_CPS_NOTICE_KYC', 'cps_notice_kyc');
//for CPS test env
//define('CPS_BEARER', 'Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6IjBiZDgwMTYxZjQzNTZiNmQ5YzhjMTJjNzg3NGJjMDMzZDBjNzNkZjMyMmNkYzdhMTY4MDE2NTliM2U1NmM0Yjc2MjIwY2QzYjZlY2MxYmVmIn0.eyJhdWQiOiIxIiwianRpIjoiMGJkODAxNjFmNDM1NmI2ZDljOGMxMmM3ODc0YmMwMzNkMGM3M2RmMzIyY2RjN2ExNjgwMTY1OWIzZTU2YzRiNzYyMjBjZDNiNmVjYzFiZWYiLCJpYXQiOjE1NjQ2MzM0NzcsIm5iZiI6MTU2NDYzMzQ3NywiZXhwIjoxODgwMjUyNjc3LCJzdWIiOiIxMSIsInNjb3BlcyI6W119.gbOpHgcwXkQZv2OT0eGZ6XdzFKwlKh65fLc5jfZuiuqcO6mz4okhwWJD6bWyhC4B-lVly76UvVht7aZ1gnPEToteY5tW4Ad9eMmj6WqEp5T_gxmFf3aSgoZhYrr7qKvMYC3Y3hDi92zhIdn2mVQCjYCcuQu_eEldBHTY9KC5MuQeV-HXUG7i3XsHc_sVEZ4M6xgrIiWRIvyJIBuwUnhhoLB1iyvKgK8QtZ8TbQJ2xfgRgLdhuTfgCFhC-tFCvU8MboCN2yQ_t2-gCr3H95cmZfJLHEYg7CYLgxe37rED_uuTxQZvRq7mJSKk9KWr0nD2LdcC335r5XUHzCF458lRpj-zJc2j0cBEuo0CbJ-EsudL_KG455gvirQuPBKMVV4GDIxQCrU6tuEUy6362N2Lh52IB6Es9m7XrIRwAfaNe0xuHT3IWHTaPF-b8HLaXPtaQremRJz_JrZLSTIcrNgdLs5pQ3oLgHaXZ8k_ItRnUdChRzWlmDJvlQO0u8AfyFDkRiDr9uJ25Y22GqhrVtGFAlQkQMVoyY7D12e3Utka7NCNUvDa5982AtxiQi7X4vnTSmCVAap9HWscDXGPRDFJS_wZf5OuaL5IpySC391hu8fb-mPx17zDFrj0QG2_dD29FU-shhqVKNQ_C-_SNz8-Ad34h90HfXUIsX4Hr_lIeeU');

//for CPS live env
define('CPS_BEARER', 'Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6Ijk1OTRhZWE5MmU5NWNkNTgyYTM0NWMwYjdiNTMzODczZmJiNDU5YzFkMTEyOTIyOTliNjg0MDY4NThiNzI1OTVhOWUxZDAwOWUyOGIwZDM5In0.eyJhdWQiOiIxIiwianRpIjoiOTU5NGFlYTkyZTk1Y2Q1ODJhMzQ1YzBiN2I1MzM4NzNmYmI0NTljMWQxMTI5MjI5OWI2ODQwNjg1OGI3MjU5NWE5ZTFkMDA5ZTI4YjBkMzkiLCJpYXQiOjE1OTc4MzEzODQsIm5iZiI6MTU5NzgzMTM4NCwiZXhwIjoxNjI5MzY3Mzg0LCJzdWIiOiIyNSIsInNjb3BlcyI6W119.CsIdpxc79BEaVYMx4yBv3YvXMjWRRdz6PTYfeeFE0fy-N4S5IjutUaCO44cO8lTlWQK2ch0FOOH-pemJiyIyYAJR7u9OrvWjAD2O-XTRLIWh-IKotLS9U1zXJjFLpXBXbjlvVkk0E5Vs-cMQScaLLqRUeMB5Te8NBTnuVoFM0UcQ8RXShcp47lEsh3SOlNwUtyxMdPEmgm4MP5O1et3KhQ2xND9MEDcFLWppRLDBEFMLip6QOH1c5U0TK6THOtIT-z9kmEXaoYDVaJC8O8d1UoVOZhR_PwYCM0anHcQL50gwoSy80ep_RwwSzoCT8FXoDSHh02jH3jRwuG-MVXN97ZcHymXcuqJzTFX3kfAoNc1-7hUd3gzjks7s6VdCO_tWHXJ3dUfw9hVg1aQjWdDSLGu_HHPu5_YITuJZssC0wvTXKOZk4gEimt6J0d9es046AuX8a9HqGkp3j9iHzy4n0onC1621-60UN6ezD-x_KGER7_fn08SNodz8RvzoDfa9K01Z5QUpQrH76hhajKtSPLDiULeZ4A7InrFo-0hXZvpe4goVC3cXQ3LTxF7jYjm0Im6FB2CVDxiZ-uX4NU9J_KYX-GNOl9PSWNLWkJR3aLWrcgSHQtEV30PO54rIMykmfWH5bHW1mlhAOxqElRbPYvr7TTJnnVqghoZUne8TbGE');

//for password hashing
define('VAL_STR_AUTH_HASH_SECRET_KEY', 's3cr3tk3y');
//--end: for password hashing

define('VAL_STR_LBTF3_SITEID','609999611');
define('VAL_STR_LBTF3_GATEWAY','http://f3payment.com/wr/?sid='.VAL_STR_LBTF3_SITEID.'&uid={uid}&mode=json');
define('VAL_STR_LBTF3_INPUT','lbtf3_input');
define('VAL_STR_LBTF3_CONFIRM','lbtf3_confirm');
define('VAL_STR_LBTF3_SUCCESS','lbtf3_success');
define('VAL_STR_LBTF3_PRINT','lbtf3_print');
define('VAL_STR_LBTF3_MAILSEND','lbtf3_send');
define('VAL_STR_LBTF3_KYC','lbtf3_kyc');

define('VAL_STR_JPV_SITEID','619999174');
define('VAL_STR_JPV_GATEWAY','http://good-selection1.com/gk/?sid='.VAL_STR_JPV_SITEID.'&uid={uid}&am={amt}&mode=json');
define('VAL_STR_JPV_INPUT','jpv_input');
define('VAL_STR_JPV_CONFIRM','jpv_confirm');
define('VAL_STR_JPV_SUCCESS','jpv_success');
define('VAL_STR_JPV_PRINT','jpv_print');
define('VAL_STR_JPV_MAILSEND','jpv_send');
define('VAL_STR_JPV_KYC','jpv_kyc');


define('TYPE_CCD_INPUT', 'cc_deposit_input');
define('TYPE_CCD_CONFIRM','cc_deposit_confirm');
define('TYPE_CCD_COMPLETE','cc_deposit_complete');
define('TYPE_CCD_SEND','cc_deposit_send');
define('TYPE_CCD_FAIL','cc_deposit_fail');
define('TYPE_CCD_SUCCESS','cc_deposit_success');
define('TYPE_CCD_CHECK_LIMITS','cc_deposit_check_limits');


define('TYPE_ZANETA_INPUT','zaneta_input');
define('ZANETAPAY_RISK_FEE_EUR','0.70');
define('ZANETAPAY_RISK_FEE_GBP','0.61');
define('ZANETAPAY_RISK_FEE_USD','0.84');
define('TYPE_ZANETAPAY_DEPOSIT_CONFIRM','zanetapay_confirm');
define('TYPE_ZANETAPAY_DEPOSIT_SEND','zaneta_send');
define('TYPE_ZANETAPAY_NOTICE_KYC', 'zaneta_notice_kyc');
define('TYPE_ZANETAPAY_DEPOSIT_SUCCESS','zanetapay_success');
define('TYPE_ZANETAPAY_DEPOSIT_FAILURE','zanetapay_failure');

//ZANETAPAY TEST START
// define('ZANETAPAY_WIDGETS_URL', 'https://test.oppwa.com/v1/paymentWidgets.js?checkoutId=');
// define('ZANETAPAY_ENTITY_ID', '8ac7a4c86e40a95b016e44935c410776');
// define('ZANETAPAY_TOKEN_URL', 'https://test.oppwa.com/v1/checkouts');
// define('ZANETAPAY_RESULTURL', 'https://test.oppwa.com/v1/checkouts/{id}/payment');
//END

//ZANETAPAY LIVE START
define('ZANETAPAY_USER_ID', '8a8394c45042e0ab01506421f9180edd');
define('ZANETAPAY_PASSWORD', 'CDSSeSw2');
define('ZANETAPAY_WIDGETS_URL', 'https://oppwa.com/v1/paymentWidgets.js?checkoutId=');
define('ZANETAPAY_ENTITY_ID', '8ac9a4cc6cfb4359016d04b70e703fe1');
define('ZANETAPAY_TOKEN_URL', 'https://oppwa.com/v1/checkouts');
define('ZANETAPAY_RESULTURL', 'https://oppwa.com/v1/checkouts/{id}/payment');
//END

define('TYPE_IMAGE_MANAGER','image_manager');
define('TYPE_IMAGE_MANAGER_DETAIL','image_manager_detail');
define('TYPE_IMAGE_MANAGER_UPLOAD','image_manager_upload');
define('TYPE_IMAGE_MANAGER_UPLOAD_COMPLETE','image_upload_complete');
define('TYPE_IMAGE_ADS_RECORDS','records');

?>
